<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.muyu</groupId>
    <artifactId>cloud-server</artifactId>
    <version>3.6.3</version>

    <name>muyu</name>
    <url>http://www.muyu.vip</url>
    <description>若依微服务系统</description>

    <properties>
        <muyu.version>3.6.3</muyu.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>17</java.version>
        <spring-boot.version>3.2.6</spring-boot.version>
        <spring-cloud.version>2023.0.2</spring-cloud.version>
        <spring-cloud-alibaba.version>2023.0.1.0</spring-cloud-alibaba.version>
        <spring-boot-admin.version>3.2.3</spring-boot-admin.version>
        <swagger.fox.version>3.0.0</swagger.fox.version>
        <swagger.core.version>1.6.2</swagger.core.version>
        <tobato.version>1.27.2</tobato.version>
        <kaptcha.version>2.3.3</kaptcha.version>
        <pagehelper.boot.version>1.4.7</pagehelper.boot.version>
        <druid.version>1.2.23</druid.version>
        <dynamic-ds.version>4.3.0</dynamic-ds.version>
        <commons.io.version>2.13.0</commons.io.version>
        <velocity.version>2.3</velocity.version>
        <fastjson.version>2.0.41</fastjson.version>
        <jjwt.version>0.12.5</jjwt.version>
        <minio.version>8.5.10</minio.version>
        <poi.version>4.1.2</poi.version>
        <transmittable-thread-local.version>2.14.3</transmittable-thread-local.version>
        <apm-logback.version>9.2.0</apm-logback.version>
        <skywalking-toolkit.version>9.2.0</skywalking-toolkit.version>
        <jakarta.servlet.version>6.1.0-M2</jakarta.servlet.version>
        <javax.annotation.version>1.3.2</javax.annotation.version>
        <hutool.version>5.8.27</hutool.version>
        <knife4j-openapi3.version>4.1.0</knife4j-openapi3.version>
        <xxl-job-core.version>2.4.1</xxl-job-core.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>
            <!-- SpringBoot 依赖配置 -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- SpringCloud 微服务 -->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- SpringCloud Alibaba 微服务 -->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- skywalking 日志收集 -->
            <dependency>
                <groupId>org.apache.skywalking</groupId>
                <artifactId>apm-toolkit-trace</artifactId>
                <version>${skywalking-toolkit.version}</version>
            </dependency>

            <!-- skywalking 日志收集集成logback -->
            <dependency>
                <groupId>org.apache.skywalking</groupId>
                <artifactId>apm-toolkit-logback-1.x</artifactId>
                <version>${apm-logback.version}</version>
            </dependency>

            <!-- knife4j-openapi3 -->
            <dependency>
                <groupId>com.github.xiaoymin</groupId>
                <artifactId>knife4j-openapi3-jakarta-spring-boot-starter</artifactId>
                <version>${knife4j-openapi3.version}</version>
            </dependency>

            <!-- Java jakarta Servlet -->
            <dependency>
                <groupId>jakarta.servlet</groupId>
                <artifactId>jakarta.servlet-api</artifactId>
                <version>${jakarta.servlet.version}</version>
            </dependency>

            <!-- Java annotation 标准库-->
            <dependency>
                <groupId>javax.annotation</groupId>
                <artifactId>javax.annotation-api</artifactId>
                <version>${javax.annotation.version}</version>
            </dependency>

            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>

            <!-- Swagger 依赖配置 -->
            <dependency>
                <groupId>io.swagger</groupId>
                <artifactId>swagger-models</artifactId>
                <version>${swagger.core.version}</version>
            </dependency>
            <dependency>
                <groupId>io.swagger</groupId>
                <artifactId>swagger-annotations</artifactId>
                <version>${swagger.core.version}</version>
            </dependency>

            <!-- 验证码 -->
            <dependency>
                <groupId>pro.fessional</groupId>
                <artifactId>kaptcha</artifactId>
                <version>${kaptcha.version}</version>
            </dependency>

            <!-- pagehelper 分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.boot.version}</version>
            </dependency>

            <!-- io常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>

            <!-- excel工具 -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>

            <!-- 代码生成使用模板 -->
            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity.version}</version>
            </dependency>

            <!-- JSON 解析器和生成器 -->
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson.version}</version>
            </dependency>

            <!-- JWT -->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jjwt.version}</version>
            </dependency>

            <!-- 线程传递值 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId>
                <version>${transmittable-thread-local.version}</version>
            </dependency>

            <!-- 核心模块 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-core</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 接口模块 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-api-doc</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 安全模块 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-security</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 权限范围 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-datascope</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 多数据源 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-datasource</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 分布式事务 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-seata</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 日志记录 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-log</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 缓存服务 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-redis</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 系统级别 插件 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-system</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- 系统级别 插件 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-system</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- xxl-job-core -->
            <dependency>
                <groupId>com.xuxueli</groupId>
                <artifactId>xxl-job-core</artifactId>
                <version>${xxl-job-core.version}</version>
            </dependency>

            <!-- XllJob定时任务 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-xxl</artifactId>
                <version>${muyu.version}</version>
            </dependency>

            <!-- rabbitMq消息中间件 -->
            <dependency>
                <groupId>com.muyu</groupId>
                <artifactId>cloud-common-rabbit</artifactId>
                <version>${muyu.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <modules>
        <module>cloud-auth</module>
        <module>cloud-gateway</module>
        <module>cloud-visual</module>
        <module>cloud-modules</module>
        <module>cloud-common</module>
    </modules>
    <packaging>pom</packaging>

    <dependencies>
        <!-- bootstrap 启动器 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-bootstrap</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <version>${spring-boot.version}</version>
                    <executions>
                        <execution>
                            <goals>
                                <goal>repackage</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>

    <repositories>
        <repository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

</project>
